<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Building</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Gedung</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">Building</h4>
                            </p>
                            <div class="d-flex justify-content-between text-muted border-bottom border-top py-3 mt-3">
                                <div class="col-md-12 text-right">
                                    <a th:href="@{/masters/building}" class="btn btn-info"><i class="fa fa-arrow-circle-left"></i> Back</a>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-md-12">
                                    <form th:action="@{/masters/building/new}" th:object="${building}"  method="post">
                                        <div class="form-group">
                                            <label>Campus Id</label>
                                            <select class="form-control" name="idKampus" th:field="*{idKampus}" id="" required>
                                                <option value="" selected disabled>-- select one --</option>
                                                <option th:each="data, row: ${kampus}"
                                                        th:value="${data.id}"
                                                        th:text="${data.namaKampus}"></option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label>Building Code</label>
                                            <input type="text" required class="form-control" th:field="*{kodeGedung}" name="kodeGedung">
                                        </div>
                                        <div class="form-group">
                                            <label>Building Name</label>
                                            <input type="text" required class="form-control" th:field="*{namaGedung}" name="namaGedung">
                                        </div>
                                        <div class="form-group">
                                            <label>Descriptions</label>
                                            <input type="text" class="form-control" th:field="*{keterangan}" name="keterangan">
                                        </div>
                                        <input type="hidden" name="id" th:field="*{id}">
                                        <div class="form-group">
                                            <button class="btn btn-primary">Save</button>
                                            <a th:href="@{/masters/building}" class="btn btn-danger">Cancel</a>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

</div>
</body>
</html>